OpenNMS API 1.2.9

## org.opennms.netmgt.poller.pollables
Class PollableContainer.SimpleIter

    java.lang.Object
      org.opennms.netmgt.poller.pollables.PollableContainer.SimpleIter

All Implemented Interfaces:
  PollableContainer.Iter

Enclosing class:
  PollableContainer

protected abstract class PollableContainer.SimpleIter
extends java.lang.Object
implements PollableContainer.Iter

Field Summary
`private java.lang.Object` `result`

Constructor Summary
`PollableContainer.SimpleIter()`
`PollableContainer.SimpleIter(java.lang.Object initial)`

Method Summary
`java.lang.Object` `getResult()`
`void` `setResult(java.lang.Object newResult)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.opennms.netmgt.poller.pollables.PollableContainer.Iter
`forEachElement`

Field Detail

### result

    private java.lang.Object result

Constructor Detail

### PollableContainer.SimpleIter

    public PollableContainer.SimpleIter(java.lang.Object initial)

### PollableContainer.SimpleIter

    public PollableContainer.SimpleIter()

Method Detail

### getResult

    public java.lang.Object getResult()

### setResult

    public void setResult(java.lang.Object newResult)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.